Loading...
Searching...
No Matches
tris.c File Reference

Fonction de tri par différentes méthodes. More...

`#include "specification1.h"`

## Functions

void | trierListeDevis (ListeDevis *ldevis)
void | insererDevisTriee (ListeDevis *ldevis, MaillonDevis *maillon)
void | triEchange (ListeDevis *ldevis)
| Trie la liste de devis par ordre croissant du coût, puis par ordre décroissant du capital. More...
int | comparer (const Devis *d1, const Devis *d2)
| Compare deux devis en fonction du coût et du capital. More...
void | inverser (Devis *d1, Devis *d2)
| Inverse les positions de deux devis. More...

## Detailed Description

Fonction de tri par différentes méthodes.

Authors
  LAVERGNE Rémi ; DELINAC Inès ; RAYNAUD Camille

Date
  12 janvier 2024

## Function Documentation

## comparer()

int comparer | ( | const Devis * | d1,
|  | const Devis * | d2
| ) |  |

Compare deux devis en fonction du coût et du capital.

Parameters

  [in] | d1 | Le premier devis
  [in] | d2 | Le deuxième devis

Returns
  <0 Si d1 < d2
  0 Si d1 == d2
  >0 Si d1 > d2

## inverser()

void inverser | ( | Devis * | d1,
|  | Devis * | d2
| ) |  |

Inverse les positions de deux devis.

Parameters

  [in] | d1 | Le premier devis
  [in] | d2 | Le deuxième devis

## triEchange()

void triEchange | ( | ListeDevis * | ldevis | ) |

Trie la liste de devis par ordre croissant du coût, puis par ordre décroissant du capital.

Parameters

  [out] | *ldevis | Liste des devis